Skip to main content
GET
/
2025-09
/
protection_levels
List all Protection Levels
curl --request GET \
  --url https://public-api.stora.co/2025-09/protection_levels \
  --header 'Authorization: Bearer <token>'
{
  "protection_levels": [
    {
      "id": "plvl_e8f3ad0a07e47566",
      "account_code": null,
      "cover_level": {
        "amount": 2000000,
        "currency": "GBP",
        "formatted": "£20,000.00"
      },
      "created_at": "2025-02-22T14:41:00Z",
      "prices": [
        {
          "billing_period": "weekly",
          "price": {
            "amount": 999,
            "currency": "GBP",
            "formatted": "£9.99"
          },
          "stripe_price_id": "price_123"
        }
      ],
      "public": true,
      "stripe_product_id": "test_Sj6us30iGDiaXO",
      "updated_at": "2025-02-22T14:41:00Z"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 1,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC

Response

200 - application/json

list of protection levels

List of Protection Levels

protection_levels
object[]
meta
object